# markdown

### <mark style="color:orange;">`markdown(syntax=String, reply_markup=Hash, extra_params=Hash)`</mark>

### Platforms

<table><thead><tr><th width="362.78343949044586">Platform</th><th data-type="checkbox">Supported</th></tr></thead><tbody><tr><td>Messenger</td><td>false</td></tr><tr><td>WhatsApp</td><td>false</td></tr><tr><td>Telegram</td><td>true</td></tr></tbody></table>

{% hint style="info" %}
View the full Markdown styles supported by Telegram [here](https://core.telegram.org/bots/api#markdownv2-style).
{% endhint %}

### Usage

#### Markdown only

```ruby
@reply.markdown("*bold text* _italic text_ __underline__ ~strikethrough~")
```

#### Markdown with buttons

```ruby
@reply.markdown(
  "*bold text* _italic text_ __underline__ ~strikethrough~",
  {
    button: [
      {
        payload: :option_1,
        title: "Option 1!"
      }
    ]
  }
)
```

### Params

<table><thead><tr><th width="150">Name</th><th>Description</th></tr></thead><tbody><tr><td><mark style="color:orange;"><code>syntax</code></mark><br>String</td><td><p><strong>Required.</strong></p><p><em>The Markdown syntax with</em> 4096 characters max.<br>View the styles supported <a href="https://core.telegram.org/bots/api#markdownv2-style">here</a>.</p></td></tr><tr><td><mark style="color:orange;"><code>reply_markup</code></mark><br>Hash</td><td><p><strong>Optional.</strong><br>Hash with one element  that can be:</p><p><code>:quick_reply</code> => <a href="https://core.telegram.org/bots/api#inlinekeyboardmarkup">inlinekeyboardmarkup</a></p><p><code>:button</code> <em>=></em> <a href="https://core.telegram.org/bots/api#replykeyboardmarkup">replykeyboardmarkup</a></p></td></tr><tr><td><mark style="color:orange;"><code>extra_params</code></mark><br>Hash</td><td><strong>Optional.</strong><br>Hash with more params, view the <a href="https://core.telegram.org/bots/api#sendmessage">full list from Telegram</a>.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kogno.io/replies-notifications/markdown.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
